%define package_name gal
%define version 0.11.2
%define release 3mdk
%define major 11

Summary: Library for compound documents in GNOME
Name: %{package_name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{package_name}/%{package_name}-%{version}.tar.bz2
# (fc) 0.9.1-8mdk po file are now named gal%{major} isnt
Patch0:	gal-0.11-gal11.patch.bz2
# (fc) 0.11.2-3mdk fix i18n problem (GNOME CVS)
Patch1: gal-0.11.2-i18n.patch.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: flex
BuildRequires: gdk-pixbuf-devel
BuildRequires: gnome-print-devel >= 0.21
BuildRequires: libglade-devel >= 0.13
BuildRequires: libgnome-vfs0-devel
BuildRequires: libunicode-devel >= 0.4-5mdk
BuildRequires: popt-devel

%description
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package -n lib%{package_name}%{major}
Summary: %{summary}
Group: %{group}
Provides: %{package_name} = %{version}
Obsoletes: %{package_name}

%description  -n lib%{package_name}%{major}
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package -n lib%{package_name}%{major}-devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: lib%{package_name}%{major} = %{version}
Provides: %{package_name}-devel = %{version}
Obsoletes: %{package_name}-devel
Provides: lib%{package_name}-devel = %{version}

%description  -n lib%{package_name}%{major}-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%prep
%setup -q -n %{package_name}-%{version}
%patch0 -p1 -b .galname
%patch1 -p1 -b .i18n

# needed by patch0
automake
autoconf

%build
%configure

# don't use make macro, parallel compilation is broken
make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%{find_lang} %{package_name}%{major}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n lib%{package_name}%{major}
  
%postun -p /sbin/ldconfig -n lib%{package_name}%{major}

%files -f %{package_name}%{major}.lang  -n lib%{package_name}%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_datadir}/etable
%dir %{_datadir}/gal
%{_datadir}/gal/%{version}
%{_datadir}/pixmaps/*
%{_libdir}/*.so.*

%files -n lib%{package_name}%{major}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/*.sh
%{_includedir}/*
%{_datadir}/gal/html

%changelog
* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-3mdk
- Patch1: fix i18n problem (GNOME CVS)

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11.2-2mdk
- BuildRequires: flex
- Remove redundant BuildRequires

* Thu Aug 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-1mdk
- Release 0.11.2

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Remove dependencies on oaf and ORBit, gal is a toolkit library

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- main package is back to its original name
- Regenerate patch0

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Rename source package before new libgal version

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Patch0: correct translation filename

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- main package is back to its original name

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Clean specfile
- Rename source package before new libgal version
- Move some files from main to devel package

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8-2mdk
- BuildRequires: db1-devel

* Mon Jun 11 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8-1mdk
- new version for gnumeric 0.65

* Wed Apr 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- Rename main package to match major lib soname

* Wed Apr 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-3mdk
- Rename source package before new libgal version

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- recompiled against latest glib/gtk/gnomeprint
- (previous changelog has been forgotten, it was release 0.5)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Remove build conflict on libxml2-devel
- Change main name before upgrading version

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-2mdk
- Rename package for new lib policy

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.2-1mdk
- add a source url.
- bump up version for the new and shiny gnumeric.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2.1-1mdk
- new version 0.2.1

* Mon Oct 23 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2-1mdk
- new version 0.2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1-1mdk
- first mandrake release
- compilation with gnome-vfs (needs 0.3.1-5mdk)

